System.Security 2.0.0.0 4.0.0.0 System.Security.Cryptography.Xml.Transform

The class represents the license transform algorithm as defined in the MPEG Rights Extension Language (MPEG REL).

Use the class to transform XrML licenses for signatures.

The Uniform Resource Identifier (URI) that describes the class is defined by the field.

Represents the license transform algorithm used to normalize XrML licenses for signatures.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Property
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.Xml.IRelDecryptor To be added.

  The object uses an interface to decrypt <encryptedGrant> elements from the current <license> element.

  Gets or sets the decryptor of the current object.

- Method
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNodeList To be added.

  Returns an XML representation of the parameters of an object that are suitable to be included as subelements of an XMLDSIG <Transform> element.

  A list of the XML nodes that represent the transform-specific content needed to describe the current object in an XMLDSIG <Transform> element.

- Method
  2.0.0.0
  4.0.0.0
  System.Object

  The type of the returned object must be .

  Returns the output of an object.

  The output of the object.

- Method
  2.0.0.0
  4.0.0.0
  System.Object `` To be added.

  Returns the output of an object.

  The output of the object.

  The type of the output to return. is the only valid type for this parameter.
- Property
  2.0.0.0
  4.0.0.0
  System.Type[] To be added.

  The only valid input type to the class is .

  Gets an array of types that are valid inputs to the method of the current object.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Parses the specified object as transform-specific content of a <Transform> element; this method is not supported because the object has no inner XML elements.

  An object that encapsulates the transform to load into the current object.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Loads the specified input into the current object.

  The input to load into the current object. The type of the input object must be .
- Property
  2.0.0.0
  4.0.0.0
  System.Type[] To be added.

  The only valid output type to the class is .

  Gets an array of types that are valid outputs from the method of the current object.